Package org.firebirdsql.jna.fbclient

## Interface WinFbClientLibrary

All Superinterfaces:
  `com.sun.jna.AltCallingConvention`, `FbClientLibrary`, `com.sun.jna.Library`, `com.sun.jna.win32.StdCall`, `com.sun.jna.win32.StdCallLibrary`

    public interface WinFbClientLibrary
    extends FbClientLibrary, com.sun.jna.win32.StdCallLibrary

JNA library interface specifically for the Windows platform.

This interface instructs JNA to apply `__stdcall` conventions.

Warning: Some methods defined in `ibase.h` (those marked with `ISC_EXPORT_VARARG`) apply `__cdecl`, so those methods might break.

Since:
  3.0

### Nested Class Summary

Nested Classes
`static interface` `WinFbClientLibrary.FbShutdownStdCallback` FbShutdown Callback following the StdCall conventions
`static interface` `WinFbClientLibrary.IscEventStdCallback` IscEvent Callback following the StdCall conventions

### Nested classes/interfaces inherited from interface org.firebirdsql.jna.fbclient.FbClientLibrary

`FbClientLibrary.FbShutdownCallback, FbClientLibrary.IscEventCallback`

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

### Field Summary

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

`FUNCTION_MAPPER, STDCALL_CONVENTION`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISC_STATUS` `isc_que_events​(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference eventId, short length, com.sun.jna.Pointer eventBuffer, WinFbClientLibrary.IscEventStdCallback eventFunction, com.sun.jna.Pointer eventFunctionArg)`

### Methods inherited from interface org.firebirdsql.jna.fbclient.FbClientLibrary

`fb_cancel_operation, fb_disconnect_transaction, fb_dsql_set_timeout, fb_interpret, fb_shutdown, fb_shutdown_callback, fb_sqlstate, isc_add_user, isc_array_get_slice, isc_array_lookup_bounds, isc_array_lookup_desc, isc_array_put_slice, isc_array_set_desc, isc_attach_database, isc_blob_default_desc, isc_blob_gen_bpb, isc_blob_info, isc_blob_lookup_desc, isc_blob_set_desc, isc_cancel_blob, isc_cancel_events, isc_close, isc_close_blob, isc_commit_retaining, isc_commit_transaction, isc_compile_request, isc_compile_request2, isc_create_blob, isc_create_blob2, isc_create_blob2, isc_create_database, isc_database_info, isc_ddl, isc_declare, isc_decode_date, isc_decode_sql_date, isc_decode_sql_time, isc_decode_timestamp, isc_delete_user, isc_describe, isc_describe_bind, isc_detach_database, isc_drop_database, isc_dsql_alloc_statement2, isc_dsql_allocate_statement, isc_dsql_describe, isc_dsql_describe_bind, isc_dsql_exec_immed2, isc_dsql_exec_immed3_m, isc_dsql_execute, isc_dsql_execute_immediate, isc_dsql_execute_immediate_m, isc_dsql_execute_m, isc_dsql_execute_m, isc_dsql_execute2, isc_dsql_execute2_m, isc_dsql_execute2_m, isc_dsql_fetch, isc_dsql_fetch_m, isc_dsql_free_statement, isc_dsql_insert_m, isc_dsql_prepare, isc_dsql_prepare_m, isc_dsql_release, isc_dsql_set_cursor_name, isc_dsql_sql_info, isc_encode_date, isc_encode_sql_date, isc_encode_sql_time, isc_encode_timestamp, isc_event_block, isc_event_block_a, isc_event_block_s, isc_event_counts, isc_execute, isc_execute_immediate, isc_expand_dpb, isc_fetch, isc_free, isc_get_client_major_version, isc_get_client_minor_version, isc_get_client_version, isc_get_segment, isc_get_slice, isc_interprete, isc_modify_dpb, isc_modify_user, isc_open, isc_open_blob, isc_open_blob2, isc_open_blob2, isc_portable_integer, isc_prepare, isc_prepare_transaction, isc_prepare_transaction2, isc_put_segment, isc_put_slice, isc_que_events, isc_receive, isc_reconnect_transaction, isc_release_request, isc_request_info, isc_rollback_retaining, isc_rollback_transaction, isc_seek_blob, isc_send, isc_service_attach, isc_service_detach, isc_service_query, isc_service_start, isc_sql_interprete, isc_sqlcode, isc_sqlcode_s, isc_start_and_send, isc_start_multiple, isc_start_request, isc_start_transaction, isc_transact_request, isc_transaction_info, isc_unwind_request, isc_vax_integer, isc_wait_for_event`

### Method Detail

#### isc_que_events

    ISC_STATUS isc_que_events​(ISC_STATUS[] statusVector,
                              com.sun.jna.ptr.IntByReference dbHandle,
                              com.sun.jna.ptr.IntByReference eventId,
                              short length,
                              com.sun.jna.Pointer eventBuffer,
                              WinFbClientLibrary.IscEventStdCallback eventFunction,
                              com.sun.jna.Pointer eventFunctionArg)